import pytest
from inventory_provider.routes import classifier

@pytest.mark.parametrize('interface_name,base_name', [
    ('ae0', 'ae0'),
    ('ae0.0', 'ae0'),
    ('ae1.0', 'ae1'),
    ('ae10.2603', 'ae10'),
    ('et-3/1/2', 'et-3/1/2'),
    ('et-3/1/2.100', 'et-3/1/2'),
    ('xe-2/1/0', 'xe-2/1/0'),
    ('xe-2/1/0.933', 'xe-2/1/0'),

    # degenerate cases ... check expected regex behavior
    ('xe-2/1/0.933.933', 'xe-2/1/0.933'),
    (' sss.333.aaa ', ' sss.333.aaa '),
    (' sss.333.aaa .999', ' sss.333.aaa ')
]
)
def test_base_interface_name(interface_name, base_name):
    assert classifier.base_interface_name(interface_name) == base_name
